include( ../../../shared.pri )

TARGET = spatialindexnavel
TEMPLATE = lib
r_static_libs {
    CONFIG += staticlib
}
else {
    CONFIG += plugin
}

# this is required to compile the spatial index library from navel ltd:
#DEFINES += PACKAGE_BUGREPORT=\\\"mhadji@gmail.com\\\"

# suppress spatial debug messages
DEFINES += NDEBUG
DEFINES += SPATIALINDEX_CREATE_DLL

!win32-msvc2010 {
    DEFINES += HAVE_BZERO
}

!win32 {
    DEFINES += PTHREADS
    DEFINES += HAVE_PTHREAD_H
    DEFINES += HAVE_SRAND48
}

CONFIG -= warn_on
CONFIG += warn_off

INCLUDEPATH += include

HEADERS = \
    src/rtree/RBulkLoader.h \
    src/rtree/RIndex.h \
    src/rtree/RLeaf.h \
    src/rtree/RNode.h \
    src/rtree/RPointerPoolNode.h \
    src/rtree/RTree.h \
    src/rtree/RStatistics.h \
    src/storagemanager/Buffer.h \
    src/storagemanager/DiskStorageManager.h \
    src/storagemanager/MemoryStorageManager.h \
    src/storagemanager/RandomEvictionsBuffer.h

SOURCES = \
    src/rtree/RBulkLoader.cc \
    src/rtree/RIndex.cc \
    src/rtree/RLeaf.cc \
    src/rtree/RNode.cc \
    src/rtree/RTree.cc \
    src/rtree/RStatistics.cc \
    src/spatialindex/LineSegment.cc \
    src/spatialindex/MovingPoint.cc \
    src/spatialindex/MovingRegion.cc \
    src/spatialindex/Point.cc \
    src/spatialindex/Region.cc \
    src/spatialindex/SpatialIndexImpl.cc \
    src/spatialindex/TimePoint.cc \
    src/spatialindex/TimeRegion.cc \
    src/storagemanager/Buffer.cc \
    src/storagemanager/DiskStorageManager.cc \
    src/storagemanager/MemoryStorageManager.cc \
    src/storagemanager/RandomEvictionsBuffer.cc \
    src/tools/rand48.cc \
    src/tools/Tools.cc \
    src/tprtree/TPRTree.cc \
    src/tprtree/TPRLeaf.cc \
    src/tprtree/TPRIndex.cc \
    src/tprtree/TPRNode.cc \
    src/tprtree/TPRStatistics.cc \
    src/mvrtree/MVRTree.cc \
    src/mvrtree/MVRLeaf.cc \
    src/mvrtree/MVRIndex.cc \
    src/mvrtree/MVRNode.cc \
    src/mvrtree/MVRStatistics.cc \
    src/capi/IdVisitor.cc \
    src/capi/ObjVisitor.cc \
    src/capi/CountVisitor.cc \
    src/capi/LeafQuery.cc \
    src/capi/DataStream.cc \
    src/capi/Error.cc \
    src/capi/CustomStorage.cc \
    src/capi/BoundsQuery.cc \
    src/capi/Index.cc \
    src/capi/sidx_api.cc \
    src/capi/Utility.cc \

